__NETDEV_ALLOC_SKB(9)

NAME
__netdev_alloc_skb - allocate an skbuff for rx on a specific device

SYNOPSIS

struct sk_buff * __netdev_alloc_skb(struct net_device * dev, unsigned int length, gfp_t gfp_mask);

ARGUMENTS

dev
    network device to receive on

length
    length to allocate

gfp_mask
    get_free_pages mask, passed to alloc_skb

DESCRIPTION

Allocate a new sk_buff and assign it a usage count of one. The buffer has NET_SKB_PAD headroom built in. Users should allocate the headroom they think they need without accounting for the built in space. The built in space is used for optimisations.

NULL is returned if there is no free memory.

COPYRIGHT